it.csi.mddtools.guigen

## Interface TextField

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, MultiDataWidget, org.eclipse.emf.common.notify.Notifier, Widget

      public interface TextField
      extends DataWidget, MultiDataWidget

  A representation of the model object 'Text Field'. DataWidget per l'immissione di testo.

  The following features are supported:

  - `Field Length`
  - `Field Max Length`
  See Also:
    `GuigenPackage.getTextField()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFieldLength()` Returns the value of the 'Field Length' attribute.
    `int` | `getFieldMaxLength()` Returns the value of the 'Field Max Length' attribute
    `void` | `setFieldLength(int value)` Sets the value of the '`Field Length`' attribute
    `void` | `setFieldMaxLength(int value)` Sets the value of the '`Field Max Length`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiDataWidget

      `getMultiDataBinding, setMultiDataBinding`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFieldLength

          int getFieldLength()

      Returns the value of the 'Field Length' attribute. The default value is `"15"`.

      If the meaning of the 'Field Length' attribute isn't clear, there really should be more of a description here...

      Dimensione in caratteri dell area visibile del campo.
      Returns:
        the value of the 'Field Length' attribute.
      See Also:
        `setFieldLength(int)`, `GuigenPackage.getTextField_FieldLength()`

    - #### setFieldLength

          void setFieldLength(int value)

      Sets the value of the '`Field Length`' attribute.
      Parameters:
        `value` - the new value of the 'Field Length' attribute.
      See Also:
        `getFieldLength()`

    - #### getFieldMaxLength

          int getFieldMaxLength()

      Returns the value of the 'Field Max Length' attribute.

      If the meaning of the 'Field Max Length' attribute isn't clear, there really should be more of a description here...

      Numero massimo di caratteri digitabili
      Returns:
        the value of the 'Field Max Length' attribute.
      See Also:
        `setFieldMaxLength(int)`, `GuigenPackage.getTextField_FieldMaxLength()`

    - #### setFieldMaxLength

          void setFieldMaxLength(int value)

      Sets the value of the '`Field Max Length`' attribute.
      Parameters:
        `value` - the new value of the 'Field Max Length' attribute.
      See Also:
        `getFieldMaxLength()`